// http://127.0.0.1:8899/3rd/fire/alarmAnalysis?gId=133783305191425&cId=133783305191425&dataType=2&alarmMonth=2021-06
// eslint-disable-next-line no-unused-vars
import { dateUtils } from 'happy-utils'
import websocketFn from '@/utils/ws'
/**
 * 1：用户信息传输装置     这个就是网站上的:火灾自动报警系统
 2：电气火灾监控器                        电气火灾智能监控系统
 3：液位
 4：水压                 3和4就是网站上的: 消防给水监测系统
 5：燃气                 本次用不到
 6：无线烟感                                 无线火灾报警监控系统
 * @param params
 * @returns {AxiosPromise}
 */

import { getAlarmStatisticsData } from '@/api/alarm-statistics'
import { getReqParam } from '@/utils/auth'

const getDefaultState = () => {
  return {
    alarmStatisticsData: null // 报警统计数据
  }
}

const state = getDefaultState()

const mutations = {
  RESET_alarmStatisticsData: (state, data) => {
    state.alarmStatisticsData = data
  }
}

const actions = {
  /** ************     ws start        ****************/
  /**
     * 报警统计
     * @param params
     * @returns {AxiosPromise}
     */
  wsAlarmStatistics({ commit, state }) {
    const { cId, gId } = getReqParam()
    websocketFn({ gId: gId, cId: cId, path: 'fd2' }, (response) => {
      const { data } = response
      const parseData = JSON.parse(data)
      if (parseData.fireData) {
        console.log('wsAlarmStatistics', parseData.fireData[0])
        commit('RESET_alarmStatisticsData', parseData.fireData[0])
      }
    })
  },
  /** ************     ws end        ****************/

  /**
     * 报警统计
     * @param params
     * @returns {AxiosPromise}
     */
  getAlarmStatistics({ commit, state }, params) {
    return new Promise((resolve, reject) => {
      const { cId, gId } = getReqParam()
      getAlarmStatisticsData({
        gId: gId,
        cId: cId,
        alarmMonth: params.alarmMonth,
        dataType: params.dataType
      }).then(response => {
        const { data } = response
        if (params.dataType == 2) {
          commit('RESET_alarmStatisticsData', data)
        }

        resolve()
      }).catch(error => {
        reject(error)
      })
    })
  }
}

export default {
  namespaced: true,
  state,
  mutations,
  actions
}

