import Cookies from 'js-cookie'

const TokenKey = 'vue_admin_template_token'

export function getToken() {
    return Cookies.get(TokenKey)
}

export function setToken(token) {
    return Cookies.set(TokenKey, token)
}

export function removeToken() {
    return Cookies.remove(TokenKey)
}

const ReqParamKey = 'req_param'

export function setReqParam(param) {
    return Cookies.set(ReqParamKey, JSON.stringify(param))
}

export function getReqParam() {
    if (Cookies.get(ReqParamKey)) {
        return JSON.parse(Cookies.get(ReqParamKey))
    }
    return {}
}


const topActiveMenuIndex = 'top_active_menu_index'

export function setTopActiveMenuIndex(param) {
    return Cookies.set(topActiveMenuIndex, param)
}

export function getTopActiveMenuIndex() {
    return Cookies.get(topActiveMenuIndex)
}

const leftActiveMenuIndex = 'left_active_menu_index'

export function setLeftActiveMenuIndex(param) {
    return Cookies.set(leftActiveMenuIndex, param)
}

export function getLeftActiveMenuIndex() {
    return Cookies.get(leftActiveMenuIndex)
}